/**
 * Copyright (C) 2006-2007  NTT DATA CORPORATION
 * 
 * Version: 1.0.0 2007/04/01
 *  
 */
package net.cellcomputing.himawari.main;

import static net.cellcomputing.himawari.library.RendermanInterface.*;

/**
 * 簡単な起動確認用のダミー
 * 
 * 
 * @author NTT DATA Corporation
 */
public strictfp class Himawari_Dummy {

	/**
	 * 
	 * 
	 * 
	 * @param args
	 */
	public static void main(String[] args) {

		RiBegin("himawari");
		RiProjection( "perspective" ,(Object)null);
		RiDisplay("test","framebuffer","rgba",(Object)null);
		
		RiTranslate( 0 ,0 ,1 ); 
		RiFormat( 160 ,160  ,1); 
		
		RiWorldBegin();
		
		RiColor( new float[]{ 0.5f, 0.0f, 1.0f } );
		RiOpacity( new float[]{ 0.3f, 0.3f, 0.3f } );
		RiSphere(0.5f,-0.5f,0.5f,360,(Object)null);
		
		RiTranslate( 1 ,0 ,1 ); 
		RiColor( new float[]{ 0.5f, 1.0f, 0.0f } );
		RiOpacity( new float[]{ 1.0f,1.0f,1.0f } );
		RiSphere(0.5f,-0.5f,0.5f,360,(Object)null);

		
		RiWorldEnd();
		RiEnd();
		
//		RiBegin("himawari2");
//		RiProjection( "perspective" ,(Object)null);
//		RiDisplay("No Use Opacity","framebuffer","rgba",(Object)null);
//		RiTranslate( 0 ,0 ,1 ); 
//		RiFormat( 160 ,160 ,1); 
//		RiWorldBegin();
//		RiColor( new float[]{ 1.0f, 0.0f, 1.0f } );
////		RiOpacity( new float[]{ 0.5f,0.5f,0.5f } );
//		RiSphere(0.5f,-0.5f,0.5f,360,(Object)null);
//		RiWorldEnd();
//		RiEnd();

	}

}
